﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub AT DSO8xxxx (1 yr) Bandwidth VER IEEE /E8257D
DATE:                  2017-02-06 09:25:22
AUTHOR:                Fluke
REVISION:              $Revision: 18156 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       9
NUMBER OF LINES:       254
CONFIGURATION:         Agilent E4418B
CONFIGURATION:         Agilent E8257D
STANDARD:              Agilent 11667B
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Agilent DSO80204B, DSO80304B, DSO80404B, DSO80604B, DSO80804A/B,
#        DSO81004A/B, DSO81204A/B, DSO81304A/B
#
#  Compatibility:
#        MET/CAL 7.11 SP1 (7.11j) or later
#
#  Subprocedures:
#        Sub Agilent Infiniium Channel Selection
#        Sub AT DSO8xxxx Compute Reference Gain
#        Sub AT DSO8xxxx Compute Max Freq Gain
#
#  Required Files:
#        dso8xxxx_bandwidth_e8257d.jpg
#
#  Additional Equipment Required:
#        None
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  STD          Agilent 11667B
# If TAR mode is selected, set NTHROW = to zero to reduce execution time.
  1.002  IF           ZCMPI(GET("Meas_Mode"), "TAR")
  1.003  VSET         NTHROW = 0
  1.004  ENDIF

  1.005  CALL         Sub Agilent Infiniium Channel Selection
  1.006  MATH         L[1] = GET("Chan")
  1.007  MATH         L[2] = GET("Bandwidth") / 1E+9

# Specifications: -3 dB or less at rated bandwidth.
# Full scale is defined as 8 vertical divisions.

  1.008  IF           GET("Chan") == 1
  1.009  RSLT         =
  1.010  HEAD         {ANALOG BANDWIDTH - MAXIMUM FREQUENCY CHECK}
  1.011  RSLT         =(Response at specified frequency, dB)
  1.012  ENDIF

  1.013  RSLT         =
  1.014  RSLT         =Channel [L1]
  1.015  HEAD         ANALOG BANDWIDTH (CH [L1]): 5 mV/div
  1.016  TSET         TDESC = 5 mV/div
  1.017  TARGET       -p
  1.018  SCPI         CHAN[L1]:SCAL 5E-3;OFFS 0V
  1.019  SCPI         ACQ:POIN AUTO;SRAT MAX;INT ON;AVER OFF
  1.020  SCPI         TRIG:EDGE:SLOP POS;SOUR CHAN[L1]
# Save UUT V/div setting to pass to subprocedure.
  1.021  MATH         M[1] = 5E-3
  1.022  TARGET       -m
  1.023  SCPI         TIMEBASE:SCALE 16E-9
# Set SigGen out for an approximate 4 division reference at 50 MHz.
  1.024  SCPI         [@E8257]FREQ:CW 50E+6;:POW 14.141E-3V;:OUTP:STAT ON
  1.025  CALL         Sub AT DSO8xxxx Compute Reference Gain
  1.026  SCPI         TIMEBASE:SCALE 100E-12
  1.027  CALL         Sub AT DSO8xxxx Compute Max Freq Gain

  1.028  IF           GET("Bandwidth") == 12E+9
# E4413A Power Sensor 12 GHz cal factor uncertainty (±2.8%) expressed in dB.
  1.029  ACC          0.00dB         0.24U
  1.030  ELSEIF       GET("Bandwidth") == 10E+9
# E4413A Power Sensor 10 GHz cal factor uncertainty (±2.6%) expressed in dB.
  1.031  ACC          0.00dB         0.22U
  1.032  ELSE
# E4413A Power Sensor 2-8 GHz cal factor uncertainty (±2.4%) expressed in dB.
  1.033  ACC          0.00dB         0.21U
  1.034  ENDIF

  1.035  MEMCX        0.00dB         3.00U         MaxFreq

  2.001  HEAD         ANALOG BANDWIDTH (CH [L1]): 10 mV/div
  2.002  TSET         TDESC = 10 mV/div
  2.003  SCPI         CHAN[L1]:SCAL 10E-3;OFFS 0V
  2.004  SCPI         ACQ:POIN AUTO;SRAT MAX;INT ON;AVER OFF
  2.005  SCPI         TRIG:EDGE:SLOP POS;SOUR CHAN[L1]
  2.006  MATH         M[1] = 10E-3
  2.007  TARGET       -m
  2.008  SCPI         TIMEBASE:SCALE 16E-9
  2.009  SCPI         [@E8257]FREQ:CW 50E+6;:POW 28.284E-3V;:OUTP:STAT ON
  2.010  CALL         Sub AT DSO8xxxx Compute Reference Gain
  2.011  SCPI         TIMEBASE:SCALE 100E-12
  2.012  CALL         Sub AT DSO8xxxx Compute Max Freq Gain

  2.013  IF           GET("Bandwidth") == 12E+9
  2.014  ACC          0.00dB         0.24U
  2.015  ELSEIF       GET("Bandwidth") == 10E+9
  2.016  ACC          0.00dB         0.22U
  2.017  ELSE
  2.018  ACC          0.00dB         0.21U
  2.019  ENDIF

  2.020  MEMCX        0.00dB         3.00U         MaxFreq

  3.001  HEAD         ANALOG BANDWIDTH (CH [L1]): 20 mV/div
  3.002  TSET         TDESC = 20 mV/div
  3.003  SCPI         CHAN[L1]:SCAL 20E-3;OFFS 0V
  3.004  SCPI         ACQ:POIN AUTO;SRAT MAX;INT ON;AVER OFF
  3.005  SCPI         TRIG:EDGE:SLOP POS;SOUR CHAN[L1]
  3.006  MATH         M[1] = 20E-3
  3.007  TARGET       -m
  3.008  SCPI         TIMEBASE:SCALE 16E-9
  3.009  SCPI         [@E8257]FREQ:CW 50E+6;:POW 56.569E-3V;:OUTP:STAT ON
  3.010  CALL         Sub AT DSO8xxxx Compute Reference Gain
  3.011  SCPI         TIMEBASE:SCALE 100E-12
  3.012  CALL         Sub AT DSO8xxxx Compute Max Freq Gain

  3.013  IF           GET("Bandwidth") == 12E+9
  3.014  ACC          0.00dB         0.24U
  3.015  ELSEIF       GET("Bandwidth") == 10E+9
  3.016  ACC          0.00dB         0.22U
  3.017  ELSE
  3.018  ACC          0.00dB         0.21U
  3.019  ENDIF

  3.020  MEMCX        0.00dB         3.00U         MaxFreq

  4.001  HEAD         ANALOG BANDWIDTH (CH [L1]): 50 mV/div
  4.002  TSET         TDESC = 50 mV/div
  4.003  SCPI         CHAN[L1]:SCAL 50E-3;OFFS 0V
  4.004  SCPI         ACQ:POIN AUTO;SRAT MAX;INT ON;AVER OFF
  4.005  SCPI         TRIG:EDGE:SLOP POS;SOUR CHAN[L1]
  4.006  MATH         M[1] = 50E-3
  4.007  TARGET       -m
  4.008  SCPI         TIMEBASE:SCALE 16E-9
  4.009  SCPI         [@E8257]FREQ:CW 50E+6;:POW 141.41E-3V;:OUTP:STAT ON
  4.010  CALL         Sub AT DSO8xxxx Compute Reference Gain
  4.011  SCPI         TIMEBASE:SCALE 100E-12
  4.012  CALL         Sub AT DSO8xxxx Compute Max Freq Gain

  4.013  IF           GET("Bandwidth") == 12E+9
  4.014  ACC          0.00dB         0.24U
  4.015  ELSEIF       GET("Bandwidth") == 10E+9
  4.016  ACC          0.00dB         0.22U
  4.017  ELSE
  4.018  ACC          0.00dB         0.21U
  4.019  ENDIF

  4.020  MEMCX        0.00dB         3.00U         MaxFreq

  5.001  HEAD         ANALOG BANDWIDTH (CH [L1]): 100 mV/div
  5.002  TSET         TDESC = 100 mV/div
  5.003  SCPI         CHAN[L1]:SCAL 100E-3;OFFS 0V
  5.004  SCPI         ACQ:POIN AUTO;SRAT MAX;INT ON;AVER OFF
  5.005  SCPI         TRIG:EDGE:SLOP POS;SOUR CHAN[L1]
  5.006  MATH         M[1] = 100E-3
  5.007  TARGET       -m
  5.008  SCPI         TIMEBASE:SCALE 16E-9
  5.009  SCPI         [@E8257]FREQ:CW 50E+6;:POW 282.84E-3V;:OUTP:STAT ON
  5.010  CALL         Sub AT DSO8xxxx Compute Reference Gain
  5.011  SCPI         TIMEBASE:SCALE 100E-12
  5.012  CALL         Sub AT DSO8xxxx Compute Max Freq Gain

  5.013  IF           GET("Bandwidth") == 12E+9
  5.014  ACC          0.00dB         0.24U
  5.015  ELSEIF       GET("Bandwidth") == 10E+9
  5.016  ACC          0.00dB         0.22U
  5.017  ELSE
  5.018  ACC          0.00dB         0.21U
  5.019  ENDIF

  5.020  MEMCX        0.00dB         3.00U         MaxFreq

  6.001  HEAD         ANALOG BANDWIDTH (CH [L1]): 200 mV/div
  6.002  TSET         TDESC = 200 mV/div
  6.003  SCPI         CHAN[L1]:SCAL 200E-3;OFFS 0V
  6.004  SCPI         ACQ:POIN AUTO;SRAT MAX;INT ON;AVER OFF
  6.005  SCPI         TRIG:EDGE:SLOP POS;SOUR CHAN[L1]
  6.006  MATH         M[1] = 200E-3
  6.007  TARGET       -m
  6.008  SCPI         TIMEBASE:SCALE 16E-9
  6.009  SCPI         [@E8257]FREQ:CW 50E+6;:POW 565.69E-3V;:OUTP:STAT ON
  6.010  CALL         Sub AT DSO8xxxx Compute Reference Gain
  6.011  SCPI         TIMEBASE:SCALE 100E-12
  6.012  CALL         Sub AT DSO8xxxx Compute Max Freq Gain

  6.013  IF           GET("Bandwidth") == 12E+9
  6.014  ACC          0.00dB         0.24U
  6.015  ELSEIF       GET("Bandwidth") == 10E+9
  6.016  ACC          0.00dB         0.22U
  6.017  ELSE
  6.018  ACC          0.00dB         0.21U
  6.019  ENDIF

  6.020  MEMCX        0.00dB         3.00U         MaxFreq

  7.001  HEAD         ANALOG BANDWIDTH (CH [L1]): 500 mV/div
  7.002  TSET         TDESC = 500 mV/div
  7.003  SCPI         CHAN[L1]:SCAL 500E-3;OFFS 0V
  7.004  SCPI         ACQ:POIN AUTO;SRAT MAX;INT ON;AVER OFF
  7.005  SCPI         TRIG:EDGE:SLOP POS;SOUR CHAN[L1]
  7.006  MATH         M[1] = 500E-3
  7.007  TARGET       -m
  7.008  SCPI         TIMEBASE:SCALE 16E-9
  7.009  SCPI         [@E8257]FREQ:CW 50E+6;:POW 707.11E-3V;:OUTP:STAT ON
  7.010  CALL         Sub AT DSO8xxxx Compute Reference Gain
  7.011  SCPI         TIMEBASE:SCALE 100E-12
  7.012  CALL         Sub AT DSO8xxxx Compute Max Freq Gain

  7.013  IF           GET("Bandwidth") == 12E+9
  7.014  ACC          0.00dB         0.24U
  7.015  ELSEIF       GET("Bandwidth") == 10E+9
  7.016  ACC          0.00dB         0.22U
  7.017  ELSE
  7.018  ACC          0.00dB         0.21U
  7.019  ENDIF

  7.020  MEMCX        0.00dB         3.00U         MaxFreq

  8.001  HEAD         ANALOG BANDWIDTH (CH [L1]): 1 V/div
  8.002  TSET         TDESC = 1 V/div
  8.003  SCPI         CHAN[L1]:SCAL 1;OFFS 0V
  8.004  SCPI         ACQ:POIN AUTO;SRAT MAX;INT ON;AVER OFF
  8.005  SCPI         TRIG:EDGE:SLOP POS;SOUR CHAN[L1]
  8.006  MATH         M[1] = 1
  8.007  TARGET       -m
  8.008  SCPI         TIMEBASE:SCALE 16E-9
  8.009  SCPI         [@E8257]FREQ:CW 50E+6;:POW 707.11E-3V;:OUTP:STAT ON
  8.010  CALL         Sub AT DSO8xxxx Compute Reference Gain
  8.011  SCPI         TIMEBASE:SCALE 100E-12
  8.012  CALL         Sub AT DSO8xxxx Compute Max Freq Gain

  8.013  IF           GET("Bandwidth") == 12E+9
  8.014  ACC          0.00dB         0.24U
  8.015  ELSEIF       GET("Bandwidth") == 10E+9
  8.016  ACC          0.00dB         0.22U
  8.017  ELSE
  8.018  ACC          0.00dB         0.21U
  8.019  ENDIF

  8.020  MEMCX        0.00dB         3.00U         MaxFreq

  9.001  SCPI         [@E8257]*RST
  9.002  SCPI         *RST
  9.003  4418         *                                                 S
  9.004  END
